Package org.springframework.security.access.annotation

# Class Jsr250Voter

java.lang.Object
org.springframework.security.access.annotation.Jsr250Voter

All Implemented Interfaces:
  `AccessDecisionVoter<Object>`

@Deprecated public class Jsr250Voter extends Object implements AccessDecisionVoter<Object>
Deprecated.
Use `Jsr250AuthorizationManager` instead
Voter on JSR-250 configuration attributes.

Since:
  2.0

## Field Summary

### Fields inherited from interface org.springframework.security.access.AccessDecisionVoter

`ACCESS_ABSTAIN, ACCESS_DENIED, ACCESS_GRANTED`

## Constructor Summary

Constructors
Constructor
Description
`Jsr250Voter()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`supports(Class<?> clazz)`
Deprecated.
All classes are supported.
`boolean`
`supports(ConfigAttribute configAttribute)`
Deprecated.
The specified config attribute is supported if its an instance of a `Jsr250SecurityConfig`.
`int`
`vote(Authentication authentication, Object object, Collection<ConfigAttribute> definition)`
Deprecated.
Votes according to JSR 250.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Jsr250Voter

public Jsr250Voter()
Deprecated.

## Method Details

### supports

public boolean supports(ConfigAttribute configAttribute)
Deprecated.
The specified config attribute is supported if its an instance of a `Jsr250SecurityConfig`.

Specified by:
  `supports` in interface `AccessDecisionVoter<Object>`
Parameters:
  `configAttribute` - The config attribute.
Returns:
  whether the config attribute is supported.

### supports

public boolean supports(Class<?> clazz)
Deprecated.
All classes are supported.

Specified by:
  `supports` in interface `AccessDecisionVoter<Object>`
Parameters:
  `clazz` - the class.
Returns:
  true

### vote

public int vote(Authentication authentication, Object object, Collection<ConfigAttribute> definition)
Deprecated.
Votes according to JSR 250.

If no JSR-250 attributes are found, it will abstain, otherwise it will grant or deny access based on the attributes that are found.

Specified by:
  `vote` in interface `AccessDecisionVoter<Object>`
Parameters:
  `authentication` - The authentication object.
  `object` - The access object.
  `definition` - The configuration definition.
Returns:
  The vote.